octonet - Segnalazione #126

Timeout xmlirpc nella creazione di utenti
12/20/2016 09:46 PM - Enrico Zini

Status: Chiuso Start date: 12/20/2016
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
https://paste.truelite.it/iINVWIWTZ

Traceback:
File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response
132. response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view
71. return self.dispatch(request, *args, **kwargs)
File "/usr/share/octonet/octonet/mixins.py" in dispatch
101. return super () .dispatch(request, *args, **kw)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch
89. return handler (request, *args, **kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/edit.py" in post
215. return self.form_valid(form)
File "/usr/share/octonet/users/views.py" in form_valid
217. tree.create (user["uid"], user)
File "/usr/lib/python3/dist-packages/octofuss/tree.py" in create
114. return self.lcreate(_tolist (path), value)
File "/usr/lib/python3/dist-packages/octofuss/tree.py" in lcreate
169. return self.tree.lcreate(self.root + path, value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in lcreate

84 . return self._wrap_call (self.server.create, "/".Jjoin(path), dumps(value))
File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in _wrap_call

44, raise UnknownException (msg)

Exception Type: UnknownException at /users/csvimport
Exception Value: error receiving data: timed out

History

#1 - 01/18/2017 11:09 AM - Christopher R. Gabriel

- File utenti.csv added

Ti allego un file per fare prove.

#2 - 01/20/2017 05:06 PM - Christopher R. Gabriel

- Assignee set to Mark Caglienzi

#3 - 01/25/2017 10:44 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione
#4 - 01/27/2017 12:13 PM - Enrico Zini
- File reproduce 126 added

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Allego uno script per cercare di riprodurre l'issue, e non riesco a riprodurlo sul mio sistema (Debian testing).
https://paste.truelite.it/jNVw3WTZ

Sono arrivato a pensare che potesse essere octofussd che gira in un terminale lento, e che viene rallentato dalla velocita dello scrolling sul terminale,
in modo da dare timeout non solo all'interno della chiamata xmlirpc ma anche proprio all'inizio della chiamata xmirpc, ma anche dando *S/*Q sul

terminale di octofussd non sono riuscito a riprodurlo :/

Christopher, puoi provare a lanciare lo script nel tuo sistema di test e vedere se riproduce la cosa?

#5 - 01/30/2017 11:57 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Enrico Zini

non riesco a riprodurlo, arriva in fondo senza problemi, pure facendo scrolling sul terminale.

#6 - 01/30/2017 12:01 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Ok, se non si riproduce piu allora chiudiamo.

Files

utenti.csv 115 KB 01/18/2017 Christopher R. Gabriel

reproduce126 579 Bytes 01/27/2017 Enrico Zini
